﻿
	var Patient = (function () {
		function Patient(name, age, weight, bmindex) {
			this.name = name;
			this.age = age;
			this.weight = weight;
			this.bmindex = bmindex;
		}
		return Patient;
	} ());

	var PatientSeries = (function () {
		function PatientSeries(patients) {
			this.dataChanged = new MindFusion.Charting.Common.EventDispatcher();
			this.values = patients;
		}
		PatientSeries.prototype.getValue = function (index, dimension) {
			if (this.dimensions == 0)
				return this.values.items()[index].age;
			else
				return this.values.items()[index].weight;
		};
		PatientSeries.prototype.getLabel = function (index, kind) {
			if (kind == MindFusion.Charting.LabelKinds.InnerLabel)
				return this.values.items()[index].name;
			if (kind == MindFusion.Charting.LabelKinds.ToolTip)
				return this.values.items()[index].name + "(" + this.values.items()[index].bmindex + ")";
			return null;
		};
		PatientSeries.prototype.isSorted = function (dimension) {
			return false;
		};
		PatientSeries.prototype.isEmphasized = function (index) {
			return false;
		};
		Object.defineProperty(PatientSeries.prototype, "size", {
			get: function () { return this.values.items().length; },
			enumerable: true,
			configurable: true
		});
		Object.defineProperty(PatientSeries.prototype, "dimensions", {
			get: function () { return 3; },
			enumerable: true,
			configurable: true
		});
		Object.defineProperty(PatientSeries.prototype, "title", {
			get: function () { return this.values.items()[0].bmindex; },
			enumerable: true,
			configurable: true
		});
		Object.defineProperty(PatientSeries.prototype, "supportedLabels", {
			get: function () { return MindFusion.Charting.LabelKinds.InnerLabel | MindFusion.Charting.LabelKinds.ToolTip; },
			enumerable: true,
			configurable: true
		});
		PatientSeries.prototype.toJson = function () {
			var json = {
				__type: 'PatientSeries',
				values: this.values.toArray()
			};
			return json;
		};
		PatientSeries.prototype.fromJson = function (obj) {
			this.values = new MindFusion.Charting.Collections.List();
			for (var i = 0, l = obj.values.length; i < l; i++) {
				var p = new Patient(obj.values[i].Name, obj.values[i].Age, obj.values[i].Weight, obj.values[i].Bmindex);
				this.values.add(p);
			}
		};
		window['PatientSeries'] = PatientSeries;
		return PatientSeries;
	} ());
//# sourceMappingURL=Patient.js.map